Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2014-03-14 Assigned To:
Updated: 2014-04-10 Due date:
Subject: Content cache is not domain specific
Description

The content caching does not take the currently active domain into account. This means that snippets are cached containing url's in
the content which could point to different url's then the user is currently visiting.

Imagine you've a setup with 2 domains pointing to 1 site node, domain1 and domain2. Whatever domain will be opened first will be in
the cached snippets, and those will be served on every subsequent request no matter what domain the user is visiting.

Associated revisions
Revision 77857a6d - 2014-04-06 13:54 - Rens Admiraal

[BUGFIX] Content cache is not domain specific

The content cache does not take the visited domain into account. This
leads to problems when multiple domains point to the same site node.
The first domain used while accessing a node will be used for generating
the cache entries, and will be served for subsequent requests even if
those originates from a different domain. This is a problem as it would
redirect the user to a different domain, and can even break AJAX
requests in the Neos backend as they will be blocked by browser policies
as being cross-domain requests.

Change-Id: I2ac3fc64af15922cbbdf1538088721bba45b0884
Releases: master, 1.1
Fixes: #56902
Reviewed-on: https://review.typo3.org/28378
Reviewed-by: Christopher Hlubek
Tested-by: Christopher Hlubek

Revision af3fb929 - 2014-04-10 19:19 - Rens Admiraal

[BUGFIX] Content cache is not domain specific

The content cache does not take the visited domain into account. This
leads to problems when multiple domains point to the same site node.
The first domain used while accessing a node will be used for generating
the cache entries, and will be served for subsequent requests even if
those originates from a different domain. This is a problem as it would
redirect the user to a different domain, and can even break AJAX
requests in the Neos backend as they will be blocked by browser policies
as being cross-domain requests.

Change-Id: I2ac3fc64af15922cbbdf1538088721bba45b0884
Releases: master, 1.1
Fixes: #56902
Reviewed-on: https://review.typo3.org/29281
Reviewed-by: Christian Mueller
Tested-by: Christian Mueller

History
#1 - 2014-03-14 10:56 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/28378

#2 - 2014-03-16 23:58 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/28378

#3 - 2014-03-17 22:13 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/28378

#4 - 2014-04-06 13:53 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/28378

#5 - 2014-04-06 14:43 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:77857a6ddbfc34721a176d852068fb141e15f0a6.

#6 - 2014-04-08 12:14 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 1.1 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29281

#7 - 2014-04-10 19:19 - Gerrit Code Review

Patch set 2 for branch 1.1 of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/29281

#8 - 2014-04-10 19:44 - Rens Admiraal
- Status changed from Under Review to Resolved

Applied in changeset commit:af3fb9293f684192e6df9080e542271fe70aed9a.
